### CollectInsertSizeMetrics

Reads a SAM or BAM file and writes a file containing metrics about the statistical distribution of insert size (excluding duplicates) and generates a histogram plot.

Option | Description
--- | ---
HISTOGRAM_FILE=File | File to write insert size histogram chart to Required.
DEVIATIONS=Double | Generate mean, sd and plots by trimming the data down to MEDIAN + DEVIATIONS*MEDIAN_ABSOLUTE_DEVIATION. This is done because insert size data typically includes enough anomolous values from chimeras and other artifacts to make the mean and sd grossly misleading regarding the real distribution. Default value: 10.0. This option can be set to 'null' to clear the default value.
HISTOGRAM_WIDTH=Integer | Explicitly sets the histogram width, overriding the TAIL_LIMIT option. Also, when calculating mean and stdev, only bins <= HISTOGRAM_WIDTH will be included. Default value: null.
MINIMUM_PCT=Float | When generating the histogram, discard any data categories (out of FR, TANDEM, RF) that have fewer than this percentage of overall reads. (Range: 0 to 1) Default value: 0.05. This option can be set to 'null' to clear the default value.
METRIC_ACCUMULATION_LEVEL=MetricAccumulationLevel | The level(s) at which to accumulate metrics. Possible values: {ALL_READS, SAMPLE, LIBRARY, READ_GROUP} This option may be specified 0 or more times. This option can be set to 'null' to clear the default list.
INPUT=File | Input SAM or BAM file. Required.
OUTPUT=File | File to write the output to. Required.
REFERENCE_SEQUENCE=File | Reference sequence fasta Default value: null.
ASSUME_SORTED=Boolean | If true (default), then the sort order in the header file will be ignored. Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
STOP_AFTER=Integer | Stop after processing N reads, mainly for debugging. Default value: 0. This option can be set to 'null' to clear the default value.